import sentencepiece as spm

# 加载模型
sp = spm.SentencePieceProcessor()
sp.Load('/public/home/changhl/dataset/spm_char.model')  # 加载之前训练好的模型

# 编码文本
encoded_text = sp.EncodeAsPieces("Hello, world!")
print(encoded_text)  # 输出编码后的结果

# 解码文本
decoded_text = sp.DecodePieces(encoded_text)
print(decoded_text)  # 输出解码后的原始文本